QGIS Application - Bug report #8963
Composer Map extents loss of precision in project file
2013-10-28 04:03 PM - Nathan Woodrow

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17627
Description

Saving a project with a composer map in a composer results in a loss of precision in the extents. When the project is reloaded the extents
are changed which changes the scale resulting in incorrect maps.

Example Extent:

385683.117

Saved as:

385683

This seems to be caused by using QString::number when saving the extents. Using QString::number(extent, "g", 10) saves the correct
extents.

Associated revisions

Revision e614a095 - 2013-10-30 12:06 AM - Nathan Woodrow

Save precision correctly for composer map. Fix #8963

History

#1 - 2013-10-29 04:06 PM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"e614a0953e1bffc4803ca2f7f045086c27b5b43f".
